condenser_api.get_following_by_page
Purpose
Retourne les comptes suivis par un compte, par page. (EOL) Paramètres : account:string ; page:int (à partir de zéro — la page 0 renvoie la première page, chaque page suivante saute encore page_size lignes) ; page_size:int (obligatoire, max 100) ; follow_type:string (facultatif, par exemple : blog, blog par défaut)
Note : le décalage de ligne est page * page_size. page_size est obligatoire ; son omission renvoie -32602 (en forme positionnelle comme en forme nommée).
account (string) | page (int) | page_size (int) | |
|---|---|---|---|
"steemitblog" | 0 | 2 | Interroge la première page (page 0) des comptes suivis par steemitblog, 2 par page. |
"alice" | 1 | 100 | Interroge la page 1 — saute les 100 premières lignes — des comptes suivis par alice, 100 par page. |
Voir aussi : condenser_api.get_following, follow_api.get_following_by_page
Parameters
PARAMETERS
json
[
"steemitblog",
0,
2
]Example
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_following_by_page",
"params": [
"steemitblog",
0,
2
],
"id": 1
}'Response
RESPONSE
json
[
{"follower":"steemitblog","following":"rishabh99946","reputation":74.46,"what":["blog",""]},
{"follower":"steemitblog","following":"oluwatobiloba","reputation":69.24,"what":["blog",""]}
]
Note: response examples are captured at documentation-build time and may drift as chain state changes.